%define gmajor	0.1
%define girname	%mklibname %{name}-gir %{gmajor}

%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		entangle
Summary:	Tethered Camera Control & Capture
Version:	3.0
Release:	%mkrel 1
License:	GPLv3+
Group:		Graphics/Photography
Url:		https://entangle-photo.org
Source0:	https://entangle-photo.org/download/sources/entangle-%{version}.tar.xz

Patch0:		entangle-3.0-mga-fix-build.patch

BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libgphoto2)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(gexiv2)
BuildRequires:	pkgconfig(libraw_r)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(adwaita-icon-theme)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
Requires:	%{girname} = %{version}-%{release}
Requires:	adwaita-icon-theme

%description
Entangle provides a graphical interface for "tethered shooting", aka taking
photographs with a digital camera completely controlled from the computer.

It is built on top of libgphoto using GTK3 for its interface. It is fully
colour managed, auto-detecting system monitor profile and applying the
necessary transforms when displaying images.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%if 0
%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other

%description -n %{devname}
This package contains the development files for %{name}.
%endif

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

#drop outdated api reference
rm -rf %{buildroot}%{_datadir}/gtk-doc/

#drop .gir and .so
rm -rf %{buildroot}%{_datadir}/gir-1.0/Entangle-0.1.gir
rm -rf %{buildroot}%{_libdir}/*.so

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README.rst
%{_bindir}/%{name}
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/
%{_libdir}/%{name}/plugins/photobox/
%{_libdir}/%{name}/plugins/shooter/
%{_libdir}/%{name}/plugins/eclipse/
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.entangle-photo.manager.gschema.xml
%{_datadir}/applications/*%{name}*.desktop
%{_datadir}/metainfo/*%{name}*.xml
%{_iconsdir}/hicolor/*/apps/*%{name}*
%{_mandir}/man1/%{name}.1.*

%if 0
%files -n %{devname}
%{_datadir}/gir-1.0/Entangle-0.1.gir
%{_libdir}/lib%%{name}_*end.so
%endif

%files -n %{libname}
%{_libdir}/lib%{name}_*end.so.%{major}
%{_libdir}/lib%{name}_*end.so.%{major}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/Entangle-%{gmajor}.typelib


%changelog
* Wed Nov 16 2022 kekepower <kekepower> 3.0-1.mga9
+ Revision: 1907972
- Update to version 3.0

* Sun Apr 03 2022 umeabot <umeabot> 2.0-7.mga9
+ Revision: 1841631
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 2.0-6.mga8
+ Revision: 1630581
- rebuild for new libraw_r

* Sun Feb 16 2020 umeabot <umeabot> 2.0-5.mga8
+ Revision: 1532180
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 2.0-4.mga8
+ Revision: 1441867
- rebuild for libpeas

* Wed Aug 07 2019 tv <tv> 2.0-3.mga8
+ Revision: 1427981
- rebuild for new libpeas

* Wed Apr 17 2019 umeabot <umeabot> 2.0-2.mga7
+ Revision: 1392148
- Rebuild with meson 0.50.1

* Thu Feb 28 2019 daviddavid <daviddavid> 2.0-1.mga7
+ Revision: 1370531
- new version: 2.0 (mga#24418)
- switch  to meson build system

* Thu Sep 06 2018 daviddavid <daviddavid> 0.7.2-3.mga7
+ Revision: 1257502
- rebuild for new libraw 0.19.0

* Fri Jun 08 2018 wally <wally> 0.7.2-2.mga7
+ Revision: 1235501
- build with lcms2

* Thu Oct 05 2017 wally <wally> 0.7.2-1.mga7
+ Revision: 1169245
- new version 0.7.2

* Wed Sep 13 2017 cjw <cjw> 0.7.1-3.mga7
+ Revision: 1153360
- fix build with new find_lang

* Tue Dec 27 2016 neoclust <neoclust> 0.7.1-2.mga6
+ Revision: 1078384
- Rebuild against new libraw

* Tue Mar 22 2016 wally <wally> 0.7.1-1.mga6
+ Revision: 994130
- new version 0.7.1

* Mon Dec 28 2015 tv <tv> 0.7.0-3.mga6
+ Revision: 916257
- rebuild for new libraw

* Tue Jun 30 2015 wally <wally> 0.7.0-2.mga6
+ Revision: 848854
- rebuild to get more typelib() requires

* Mon Jun 22 2015 wally <wally> 0.7.0-1.mga6
+ Revision: 839729
- create lib pkg, but disable devel one for now
- new version 0.7.0

* Sun Feb 22 2015 anaselli <anaselli> 0.6.0-5.mga5
+ Revision: 816404
- rebuilt for new libgphoto2

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-4.mga5
+ Revision: 743943
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 0.6.0-3.mga5
+ Revision: 731119
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-2.mga5
+ Revision: 679013
- Mageia 5 Mass Rebuild

* Tue May 06 2014 wally <wally> 0.6.0-1.mga5
+ Revision: 620863
- new version 0.6.0
- require adwaita-icon-theme and add patch to build with it
- drop .gir for now

* Wed Feb 05 2014 wally <wally> 0.5.4-2.mga5
+ Revision: 583417
- rebuild for new libraw

* Tue Feb 04 2014 wally <wally> 0.5.4-1.mga5
+ Revision: 582054
- new version 0.5.4
- drop patches from upstream

* Mon Oct 21 2013 umeabot <umeabot> 0.5.3-4.mga5
+ Revision: 539015
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 0.5.3-3.mga4
+ Revision: 491205
- rebuild for new gexiv

* Fri Sep 20 2013 fwang <fwang> 0.5.3-2.mga4
+ Revision: 481825
- rebuild for new gexiv

* Sun Sep 08 2013 wally <wally> 0.5.3-1.mga4
+ Revision: 476041
- imported package entangle

